Updates the specified project with the information in the request body.
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/projects \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"spec": {
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"git": {
"http_clone_url": "<string>",
"external_installation_id": "<string>",
"invalid_installation": true
},
"is_archived": true,
"model": {
"full_name": "<string>",
"http_clone_url": "<string>",
"provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
},
"sbom": {
"kind": "SBOM_KIND_UNSPECIFIED",
"main_component_purl": "<string>"
},
"scan_profile_uuid": "<string>",
"toolchain_profile_uuid": "<string>",
"unsupported": {
"name": "<string>"
}
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"git": {
"http_clone_url": "<string>",
"external_installation_id": "<string>",
"full_name": "<string>",
"git_clone_url": "<string>",
"invalid_installation": true,
"organization": "<string>",
"path": "<string>",
"web_url": "<string>"
},
"ingestion_token": "<string>",
"internal_reference_key": "<string>",
"is_archived": true,
"model": {
"full_name": "<string>",
"http_clone_url": "<string>",
"provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
},
"sbom": {
"kind": "SBOM_KIND_UNSPECIFIED",
"main_component_purl": "<string>"
},
"scan_profile_uuid": "<string>",
"toolchain_profile_uuid": "<string>",
"unsupported": {
"name": "<string>"
}
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
A successful response.
Logical root object that serves as the basis for organizing and managing all information related to a repository.
A project corresponds to a repository.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
The unique identifier of the project.
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/projects \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"spec": {
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"git": {
"http_clone_url": "<string>",
"external_installation_id": "<string>",
"invalid_installation": true
},
"is_archived": true,
"model": {
"full_name": "<string>",
"http_clone_url": "<string>",
"provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
},
"sbom": {
"kind": "SBOM_KIND_UNSPECIFIED",
"main_component_purl": "<string>"
},
"scan_profile_uuid": "<string>",
"toolchain_profile_uuid": "<string>",
"unsupported": {
"name": "<string>"
}
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"git": {
"http_clone_url": "<string>",
"external_installation_id": "<string>",
"full_name": "<string>",
"git_clone_url": "<string>",
"invalid_installation": true,
"organization": "<string>",
"path": "<string>",
"web_url": "<string>"
},
"ingestion_token": "<string>",
"internal_reference_key": "<string>",
"is_archived": true,
"model": {
"full_name": "<string>",
"http_clone_url": "<string>",
"provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
},
"sbom": {
"kind": "SBOM_KIND_UNSPECIFIED",
"main_component_purl": "<string>"
},
"scan_profile_uuid": "<string>",
"toolchain_profile_uuid": "<string>",
"unsupported": {
"name": "<string>"
}
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}